### Enumeration

# Qmi NasRegistrationState

since: 1.0

#### Declaration

    enum Qmi.NasRegistrationState

#### Description [src]

Status of the network registration.

Available since: 1.0

#### Members

`QMI_NAS_REGISTRATION_STATE_NOT_REGISTERED`

  Not registered.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_REGISTRATION_STATE_REGISTERED`

  Registered.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_REGISTRATION_STATE_NOT_REGISTERED_SEARCHING`

  Searching.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_REGISTRATION_STATE_REGISTRATION_DENIED`

  Registration denied.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_REGISTRATION_STATE_UNKNOWN`

  Unknown.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### qmi_nas_registration_state_get_string

Gets the nickname string for the `QmiNasRegistrationState` specified at `val`.

since: 1.0